%{
====================================================
File name: Binomial_Calc.m
Description: Calculates binomial probs for voting paper.
====================================================
%}
clc
clear all

%{
This is for binomial model calculations in subsection on
beliefs about whether election will be close.
%}

% New Hampshire. r is support ratio.
N_Elec = 450*(10^3); 

% Options in estimation
op_fs=optimset('DerivativeCheck','off');

% Decided by 100 or fewer votes.
Marg_100 = (10^2);
r_min_100 = fsolve(@(r) Theta_Zero(N_Elec,Marg_100,r), .995, op_fs);
r_max_100 = fsolve(@(r) Theta_Zero(N_Elec,Marg_100,r), 1.005, op_fs);

% Decided by 1,000 or fewer votes.
Marg_1k = (10^3);
r_min_1k = fsolve(@(r) Theta_Zero(N_Elec,Marg_1k,r), .99, op_fs);
r_max_1k = fsolve(@(r) Theta_Zero(N_Elec,Marg_1k,r), 1.01, op_fs);


% Print results
disp(['Marg=100. Minimum r is   ' num2str(r_min_100)]);
disp(['Marg=100. Maximum r is   ' num2str(r_max_100)]);
disp(['Marg=1k.  Minimum r is   ' num2str(r_min_1k)]);
disp(['Marg=1k.  Maximum r is   ' num2str(r_max_1k)])

% New Hampshire actual ratio
r_nh = 240346/205616

% Oregon actual ratio
r_or = 716525/694287
