%{
====================================================
File name: Theta_Calc.m
Description: Calculates binomial probs for voting paper.
====================================================
%}
function [Theta] = Theta_Calc(N_Elec,Marg,r)

% Tying occurs when a candidate receives half the votes.
N_Tie = .5*N_Elec;

% Convert the support ratio into share of people favoring
% one of the candidates.
p = r/(1+r);

% To achieve a margin of X votes, the winning candidates
% has X/2 votes more than 50/50.
Delta = .5*Marg;

Theta = binocdf(N_Tie+Delta,N_Elec,p)-binocdf(N_Tie-Delta,N_Elec,p);


end

