/*==================================================================
 Program: Main_Hist.do
 Purpose: Analyzes historical US data on gubernatorial elections.
==================================================================*/

use "$Temp/GubElecs_Hist.dta", clear

isid year state, sort

list year state if marg_votes<=100
/*
     +--------------+
     | year   state |
     |--------------|
208. | 1962      MN |
     +--------------+
*/
count if marg_votes<=100
assert r(N)==1

list year state if marg_votes<=1000
/*
     +--------------+
     | year   state |
     |--------------|
119. | 1956      RI |
158. | 1958      VT |
206. | 1962      ME |
208. | 1962      MN |
219. | 1962      RI |
     |--------------|
331. | 1970      ME |
374. | 1974      AK |
637. | 1994      AK |
786. | 2004      WA |
     +--------------+
*/
count if marg_votes<=1000
assert r(N)==9

gen lt100 = marg_votes<=100
gen lt1k = marg_votes<=1000

sum lt100 lt1k
sum lt100 lt1k if year>1970
